package factoreasyrest.controller;


import factoreasyrest.facade.FactOrEasyGameSettingsFacade;
import factoreasyrest.model.entities.FactOrEasyGameSettingsModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.RequestEntity;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/rest")
public class FactOrEasyGameSettingsRESTController {

    @Autowired
    FactOrEasyGameSettingsFacade factOrEasyGameSettingsFacade;

    @RequestMapping(value = "/gamesettings",method = RequestMethod.GET)
    public ResponseEntity<List<FactOrEasyGameSettingsModel>> readAllGameSettings() {
        List<FactOrEasyGameSettingsModel> response = factOrEasyGameSettingsFacade.readAll();
        return ResponseEntity.ok(response);
    }

    @RequestMapping(value = "/gamesettings/{id}", method = RequestMethod.GET)
    public ResponseEntity<FactOrEasyGameSettingsModel> readGameSettings(@PathVariable("id") long id) {
        FactOrEasyGameSettingsModel response = factOrEasyGameSettingsFacade.read(id);
        return ResponseEntity.ok().body(response);
    }


    @RequestMapping(value = "/gamesettings", method = RequestMethod.POST)
    public ResponseEntity<FactOrEasyGameSettingsModel> createGameSettings(RequestEntity<FactOrEasyGameSettingsModel> requestEntity) {
        FactOrEasyGameSettingsModel response = factOrEasyGameSettingsFacade.create(requestEntity.getBody());
        return ResponseEntity.ok().body(response);
    }


    @RequestMapping(value = "/gamesettings/{id}", method = RequestMethod.PUT)
    public ResponseEntity<FactOrEasyGameSettingsModel> modifyGameSettings(RequestEntity<FactOrEasyGameSettingsModel>
        requestEntity, @PathVariable("id") long id){
        FactOrEasyGameSettingsModel response = factOrEasyGameSettingsFacade.modify(requestEntity.getBody(),id);
        return ResponseEntity.ok().body(response);
    }

    @RequestMapping(value = "/gamesettings/{id}", method = RequestMethod.DELETE)
    public ResponseEntity<Void> deleteGameSettings(@PathVariable("id") long id){
        factOrEasyGameSettingsFacade.delete(id);
        return ResponseEntity.ok().build();
    }
}
