package factoreasyrest.model.entities;

public class FactOrEasyGameSettingsModel {

    private Long id;
    private int account;
    private int numberOfPlayers;
    private int materialStoreCosts;
    private int productsStoreCosts;
    private int standardFactoryFixedCost;
    private int automatizedFactoryConstructionCosts;
    private int materialStore;
    private int productInStore;
    private int standardDevelopmentCost;
    private int automatizedDevelopmentCosts;
    private int standardFactoryNumber;
    private int automatizedFactoryNumber;
    private int initialNumberOfGamesPerPlayer;
    private int lapsPerSimulation;
    private Float loanLimitRatio;
    private int botBuyFactoryAggressionLevel;

    public FactOrEasyGameSettingsModel(Long id, int account, int numberOfPlayers, int materialStoreCosts,
                                       int productsStoreCosts, int standardFactoryFixedCost,
                                       int automatizedFactoryConstructionCosts, int materialStore,
                                       int productInStore, int standardDevelopmentCost, int automatizedDevelopmentCosts,
                                       int standardFactoryNumber, int automatizedFactoryNumber,
                                       int initialNumberOfGamesPerPlayer, int lapsPerSimulation, Float loanLimitRatio,
                                       int botBuyFactoryAggressionLevel) {
        this.id = id;
        this.account = account;
        this.numberOfPlayers = numberOfPlayers;
        this.materialStoreCosts = materialStoreCosts;
        this.productsStoreCosts = productsStoreCosts;
        this.standardFactoryFixedCost = standardFactoryFixedCost;
        this.automatizedFactoryConstructionCosts = automatizedFactoryConstructionCosts;
        this.materialStore = materialStore;
        this.productInStore = productInStore;
        this.standardDevelopmentCost = standardDevelopmentCost;
        this.automatizedDevelopmentCosts = automatizedDevelopmentCosts;
        this.standardFactoryNumber = standardFactoryNumber;
        this.automatizedFactoryNumber = automatizedFactoryNumber;
        this.initialNumberOfGamesPerPlayer = initialNumberOfGamesPerPlayer;
        this.lapsPerSimulation = lapsPerSimulation;
        this.loanLimitRatio = loanLimitRatio;
        this.botBuyFactoryAggressionLevel = botBuyFactoryAggressionLevel;
    }

    public FactOrEasyGameSettingsModel() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public int getAccount() {
        return account;
    }

    public void setAccount(int account) {
        this.account = account;
    }

    public int getNumberOfPlayers() {
        return numberOfPlayers;
    }

    public void setNumberOfPlayers(int numberOfPlayers) {
        this.numberOfPlayers = numberOfPlayers;
    }

    public int getMaterialStoreCosts() {
        return materialStoreCosts;
    }

    public void setMaterialStoreCosts(int materialStoreCosts) {
        this.materialStoreCosts = materialStoreCosts;
    }

    public int getProductsStoreCosts() {
        return productsStoreCosts;
    }

    public void setProductsStoreCosts(int productsStoreCosts) {
        this.productsStoreCosts = productsStoreCosts;
    }

    public int getStandardFactoryFixedCost() {
        return standardFactoryFixedCost;
    }

    public void setStandardFactoryFixedCost(int standardFactoryFixedCost) {
        this.standardFactoryFixedCost = standardFactoryFixedCost;
    }

    public int getAutomatizedFactoryConstructionCosts() {
        return automatizedFactoryConstructionCosts;
    }

    public void setAutomatizedFactoryConstructionCosts(int automatizedFactoryConstructionCosts) {
        this.automatizedFactoryConstructionCosts = automatizedFactoryConstructionCosts;
    }

    public int getMaterialStore() {
        return materialStore;
    }

    public void setMaterialStore(int materialStore) {
        this.materialStore = materialStore;
    }

    public int getProductInStore() {
        return productInStore;
    }

    public void setProductInStore(int productInStore) {
        this.productInStore = productInStore;
    }

    public int getStandardDevelopmentCost() {
        return standardDevelopmentCost;
    }

    public void setStandardDevelopmentCost(int standardDevelopmentCost) {
        this.standardDevelopmentCost = standardDevelopmentCost;
    }

    public int getAutomatizedDevelopmentCosts() {
        return automatizedDevelopmentCosts;
    }

    public void setAutomatizedDevelopmentCosts(int automatizedDevelopmentCosts) {
        this.automatizedDevelopmentCosts = automatizedDevelopmentCosts;
    }

    public int getStandardFactoryNumber() {
        return standardFactoryNumber;
    }

    public void setStandardFactoryNumber(int standardFactoryNumber) {
        this.standardFactoryNumber = standardFactoryNumber;
    }

    public int getAutomatizedFactoryNumber() {
        return automatizedFactoryNumber;
    }

    public void setAutomatizedFactoryNumber(int automatizedFactoryNumber) {
        this.automatizedFactoryNumber = automatizedFactoryNumber;
    }

    public int getInitialNumberOfGamesPerPlayer() {
        return initialNumberOfGamesPerPlayer;
    }

    public void setInitialNumberOfGamesPerPlayer(int initialNumberOfGamesPerPlayer) {
        this.initialNumberOfGamesPerPlayer = initialNumberOfGamesPerPlayer;
    }

    public int getLapsPerSimulation() {
        return lapsPerSimulation;
    }

    public void setLapsPerSimulation(int lapsPerSimulation) {
        this.lapsPerSimulation = lapsPerSimulation;
    }

    public Float getLoanLimitRatio() {
        return loanLimitRatio;
    }

    public void setLoanLimitRatio(Float loanLimitRatio) {
        this.loanLimitRatio = loanLimitRatio;
    }

    public int getBotBuyFactoryAggressionLevel() {
        return botBuyFactoryAggressionLevel;
    }

    public void setBotBuyFactoryAggressionLevel(int botBuyFactoryAggressionLevel) {
        this.botBuyFactoryAggressionLevel = botBuyFactoryAggressionLevel;
    }

    @Override
    public String toString() {
        return "FactOrEasyGameSettingsModel{" +
                "id=" + id +
                ", account=" + account +
                ", numberOfPlayers=" + numberOfPlayers +
                ", materialStoreCosts=" + materialStoreCosts +
                ", productsStoreCosts=" + productsStoreCosts +
                ", standardFactoryFixedCost=" + standardFactoryFixedCost +
                ", automatizedFactoryConstructionCosts=" + automatizedFactoryConstructionCosts +
                ", materialStore=" + materialStore +
                ", productInStore=" + productInStore +
                ", standardDevelopmentCost=" + standardDevelopmentCost +
                ", automatizedDevelopmentCosts=" + automatizedDevelopmentCosts +
                ", standardFactoryNumber=" + standardFactoryNumber +
                ", automatizedFactoryNumber=" + automatizedFactoryNumber +
                ", initialNumberOfGamesPerPlayer=" + initialNumberOfGamesPerPlayer +
                ", lapsPerSimulation=" + lapsPerSimulation +
                ", loanLimitRatio=" + loanLimitRatio +
                ", botBuyFactoryAggressionLevel=" + botBuyFactoryAggressionLevel +
                '}';
    }
}
